> For the complete documentation index, see [llms.txt](https://phoenix-7.gitbook.io/nodechain-en/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://phoenix-7.gitbook.io/nodechain-en/reference/api-reference.md).

# API Reference

Dive into the specifics of each API endpoint by checking out our complete documentation.

## Admin

All the methods associated administration of Wrapper APIs.

{% content-ref url="/pages/cHisudPrAo5Qo5rRJ3JM" %}
[Admin](/nodechain-en/reference/api-reference/admin.md)
{% endcontent-ref %}

## General endpoints

Everything related to general information:

{% content-ref url="/pages/jMqu0c3FvLTLe1IxtVjg" %}
[General Endpoints](/nodechain-en/reference/api-reference/general-endpoints.md)
{% endcontent-ref %}

## REST Wrapper API

Everything related to the REST Wrapper API of every supported Blockchain

{% content-ref url="/pages/yhKvwNHB55A6VD19b31O" %}
[REST Wrapper API](/nodechain-en/reference/api-reference/rest-wrapper-api.md)
{% endcontent-ref %}

## JSON-RPC Wrapper API

Everything related to the JSON-RPC Wrapper API of every supported Blockchain

{% content-ref url="/pages/sYY4KkI0ACNoP7F2w0MO" %}
[JSON-RPC Wrapper API](/nodechain-en/reference/api-reference/json-rpc-wrapper-api.md)
{% endcontent-ref %}

## Real-Time Wrapper API

Everything related to the Websocket Wrapper API of every supported Blockchain

{% content-ref url="/pages/iEENcp30GHccetsTfBBu" %}
[Real-Time Wrapper API](/nodechain-en/reference/api-reference/real-time-wrapper-api.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://phoenix-7.gitbook.io/nodechain-en/reference/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
